ColorUIResource (Java Platform SE 8 )
Keywords: javax.swing.plaf.ColorUIResource class
Date: 2026-03-16

javax.swing.plaf

## Class ColorUIResource

- java.lang.Object
- - java.awt.Color
  - - javax.swing.plaf.ColorUIResource

- All Implemented Interfaces:
    Paint, Transparency, Serializable, UIResource

      public class ColorUIResource
      extends Color
      implements UIResource

- - ### Field Summary

    - ### Fields inherited from class java.awt.Color

      `black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

    - ### Fields inherited from interface java.awt.Transparency

      `BITMASK, OPAQUE, TRANSLUCENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorUIResource(Color c)`
    `ColorUIResource(float r, float g, float b)`
    `ColorUIResource(int rgb)`
    `ColorUIResource(int r, int g, int b)`

  - ### Method Summary

    - ### Methods inherited from class java.awt.Color

      `brighter, createContext, darker, decode, equals, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, hashCode, HSBtoRGB, RGBtoHSB, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ColorUIResource

          @ConstructorProperties(value={"red","green","blue"})
          public ColorUIResource(int r,
                                                                                      int g,
                                                                                      int b)

    - #### ColorUIResource

          public ColorUIResource(int rgb)

    - #### ColorUIResource

          public ColorUIResource(float r,
                                 float g,
                                 float b)

    - #### ColorUIResource

          public ColorUIResource(Color c)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.